Subject: RE: [rohc] RE: DAP issues

From: [email-masked]
Date: Mon, 3 Feb 2003 12:58:49 -0600

> Either (as it states in DAP 1b) the receiver can set the 
> need-response field to TRUE and  both sender and receiver control the flow, allowing the 
> possibility of infinite sending (fixed by one end setting the field to FALSE)
> or
> (as I suggested in my last mail) the sender is in control of 
> the message flow, the receiver must NOT set the flag to TRUE. 
> 
> One thing to take into account is whether either approach 
> will enable/prevent specific test patterns.  The latter seems simpler to me, and I don't 
> think it prevents anything.  What does anyone else think?

Abbie,

I used the former in the document for two reasons:

1) It allows arbitrary message exchange pattern, e.g., 3-way message exchange: m1 from A to B, m2 from B to A, then m3 from A to B. B can control in this case.

2) Again, I don't think the dead loop is an issue. I mentioned it in the document just as a reminder. The bottom line is the common sense in implementation. If that is not there, no protocol is bullet proof. (No protocol can prevent a bad or incorrect implementation anyway.) In this case, the DAP clearly provides ways to avoid dead loop (I'll make it more redundantly clear). One should not blame DAP for a bad/incorrect implementation.

Zhigang
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc